using Hotline.Quality;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Orders
{
	[Description("重复性事件明细")]
	public class RepeatableEventDetail : FullStateEntity
	{
		/// <summary>
		/// 重复ID
		/// </summary>
		[SugarColumn(ColumnDescription = "重复ID")]
		public string RepeatableId { get; set; }

		/// <summary>
		/// 工单id
		/// </summary>
		[SugarColumn(ColumnDescription = "工单id")]
		public string OrderId { get; set; }

		/// <summary>
		/// 工单
		/// </summary>
		[Navigate(NavigateType.OneToOne, nameof(OrderId))]
		public Order Order { get; set; }

		[Navigate(NavigateType.OneToOne, nameof(RepeatableId))]
		public RepeatableEvent Repeatable { get; set; }
	}
}
